Unable to correct problems, you have held broken packages.

Kernels & Hardware, configuring network, installing services

Unable to correct problems, you have held broken packages.

Postby hashir » 2019-01-04 20:44

I am trying to install software-properties-common on my Debian 9. But i get the error which states

The following packages have unmet dependencies: software-properties-common : Depends: python3-software-properties (= 0.96.20.2-1) but it is not going to be installed Recommends: packagekit but it is not going to be installed E: Unable to correct problems, you have held broken packages.


I have tried many solutions like apt update -f (as suggested by most of the debian users) but nothing worked for me.

Here is my source.list file:

Code: Select all
deb http://deb.debian.org/debian stretch main contrib non-free
deb-src http://deb.debian.org/debian stretch main contrib non-free

deb http://deb.debian.org/debian-security/ stretch/updates main contrib non-free
deb-src http://deb.debian.org/debian-security/ stretch/updates main contrib non$

deb http://deb.debian.org/debian stretch-updates main contrib non-free
deb-src http://deb.debian.org/debian stretch-updates main contrib non-free
hashir
 
Posts: 3
Joined: 2019-01-04 20:40

Re: Unable to correct problems, you have held broken package

Postby arochester » 2019-01-04 21:01

(AS ROOT)
Code: Select all
apt install -f
arochester
 
Posts: 1367
Joined: 2010-12-07 19:55

Re: Unable to correct problems, you have held broken package

Postby hashir » 2019-01-04 21:04

arochester wrote:(AS ROOT)
Code: Select all
apt install -f

Yes, i've use sudo apt update -f
hashir
 
Posts: 3
Joined: 2019-01-04 20:40

Re: Unable to correct problems, you have held broken package

Postby hashir » 2019-01-04 21:05

hashir wrote:
arochester wrote:(AS ROOT)
Code: Select all
apt install -f

Yes, i've use sudo apt update -f

And sudo apt install -f too. :|
I get:
Code: Select all
Reading package lists... Done
Building dependency tree       
Reading state information... Done
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
hashir
 
Posts: 3
Joined: 2019-01-04 20:40

Re: Unable to correct problems, you have held broken package

Postby bw123 » 2019-01-04 21:41

Why install software-properties-common? It's only needed by one of the kde or gnome front ends AFICT.

--\ Packages which depend on software-properties-common (2)
--\ Depends (2)
p software-properties-gtk 0.96.20.2-1
p software-properties-kde 0.96.20.2-1


Here's the run on my system, show people the whole output like this:
Code: Select all
$ apt -s install software-properties-common
NOTE: This is only a simulation!
      apt needs root privileges for real execution.
      Keep also in mind that locking is deactivated,
      so don't depend on the relevance to the real current situation!
Reading package lists... Done
Building dependency tree       
Reading state information... Done
The following additional packages will be installed:
  python3-software-properties
Recommended packages:
  unattended-upgrades packagekit
The following NEW packages will be installed:
  python3-software-properties software-properties-common
0 upgraded, 2 newly installed, 0 to remove and 0 not upgraded.
Inst python3-software-properties (0.96.20.2-1 Debian:9.6/stable [all])
Inst software-properties-common (0.96.20.2-1 Debian:9.6/stable [all])
Conf python3-software-properties (0.96.20.2-1 Debian:9.6/stable [all])
Conf software-properties-common (0.96.20.2-1 Debian:9.6/stable [all])


Package manager aptitude is good at fixing things like this. Good luck.

p.s. maybe apt policy can help you?
Code: Select all
$ apt policy software-properties* python3-software*
User avatar
bw123
 
Posts: 3678
Joined: 2011-05-09 06:02
Location: TN_USA

Re: Unable to correct problems, you have held broken package

Postby stevepusser » 2019-01-04 23:30

Keep going down the list of uninstallable packages in order until you get to the one at the root of the problem--which is almost always from an incompatible repo.

So try and install python3-software-properties, which will show another package as uninstallable, and so on.

Show your work.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.13 kernel, wine-staging 4.0~rc4, Stellarium 0.18.3, VLC 3.0.5, Midori 7.0
User avatar
stevepusser
 
Posts: 10433
Joined: 2009-10-06 05:53

Re: Unable to correct problems, you have held broken package

Postby Head_on_a_Stick » 2019-01-05 10:39

Code: Select all
aptitude why-not python3-software-properties
"French riots get results! U lot are instagram zzzombies" — graffiti over Euston underpass
User avatar
Head_on_a_Stick
 
Posts: 8590
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Unable to correct problems, you have held broken package

Postby llivv » 2019-01-05 19:27

Code: Select all
# apt-get check

now the OP has 4 ways to start fixing the borked-ness
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5851
Joined: 2007-02-14 18:10
Location: cold storage

Re: Unable to correct problems, you have held broken package

Postby xepan » 2019-01-06 05:20

not saying the proposed commands wouldn't help, but i think mainly, first of all, that is needed:
bw123 wrote:p.s. maybe apt policy can help you?

will probably reveal an extra repo somewhere.

chat: i could astonish quite some users with aptitude why.
why-not? Never heard of that, say as an extra-info by someone when in such a chat (else it wouldn't astonish me, i for one sure am not that deep down the apt* hole, but over the years i ranted quite a bit about "why" )
good one.
xepan
 
Posts: 86
Joined: 2018-11-28 06:38

Re: Unable to correct problems, you have held broken package

Postby llivv » 2019-01-08 11:13

I had 22 packages on hold and 44 packages on automatic hold and 30 or so packages in obsolete including the currently running kernel.
I purged all the obsolete packages except the running kernel, and all purged without error.
I upgraded all packages in hold and all packages on automatic hold. rebooted and purged the obsolete kernel. All actions completed without any error message, I thought I was good to go.... :?
Than tried to start X opps .... :oops: :lol: :lol: :lol:
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5851
Joined: 2007-02-14 18:10
Location: cold storage

Re: Unable to correct problems, you have held broken package

Postby llivv » 2019-01-12 04:24

I decided to work on it yesterday and reinstalled the obsolete packages I purged
( there were only about 15 or so) . I noticed that the held and auto held packages were just the way aptitude lists upgradables that are not selected during an upgrade session.
But I definitely made too many changes (being over confident) and lost focus on the
one step at a time
Lou wrote:KISS
method.
Anyways
I upgraded all installed with fingers crossed, but that didn't work.
So I got busy manually loading missing modules and double checking boot logs.
Now I have 62 modules loaded again and lsmod looks almost normal too.
But after my attempt at switching from intel to modeset and back again,
I now get permission denied for mouse and keyboard events.
X starts and screens found, but mouse wouldn't move and the only keyboard I have is
magic sysrq keys.
Long story short I hacked on the permissions of the denied events and X started working again late yesterday morning.

Maybe I'll try this modesetting thing again just to see what happens! what could go wrong -` :? `-

edit inxi says I am running modesetting - go figure - the log don't show it,
but that is a really nice script. or it will be when I figure out how to use it correctly.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5851
Joined: 2007-02-14 18:10
Location: cold storage

Re: Unable to correct problems, you have held broken package

Postby stevepusser » 2019-01-12 05:02

(Resisting urge to use "this is fine" gif again)

What exactly are you running?

"apt policy" or neofetch results would be interesting.
The MX Linux repositories: Backports galore! If we don't have something, just ask and we'll try--we like challenges. New packages: Flightgear 2018.2.2, 4.19.13 kernel, wine-staging 4.0~rc4, Stellarium 0.18.3, VLC 3.0.5, Midori 7.0
User avatar
stevepusser
 
Posts: 10433
Joined: 2009-10-06 05:53

Re: Unable to correct problems, you have held broken package

Postby llivv » 2019-01-12 12:05

frankin gif? :lol:

pure sid (I think )? could be buster though, let me check..
Oh yeah libsystemd0 and sysv
debootstrapped jan 2017 - before USER merge
tail of procenv followed by default inix followed by default neofetch `(^-^)`
edit oh yeah apt policy to sum up

c_cc (special):
VINTR: 0x3
VQUIT: 0x1c
VERASE: 0x7f
VKILL: 0x15
VEOF: 0x4
VTIME: 0x0
VMIN: 0x1
VSWTC: 0x0
VSTART: 0x11
VSTOP: 0x13
VSUSP: 0x1a
VEOL: 0x0
VREPRINT: 0x12
VDISCARD: 0xf
VWERASE: 0x17
VLNEXT: 0x16
VEOL2: 0x0
speed:
input (baud): B38400
output (baud): B38400
winsize:
ws_row: 73
ws_col: 212
ws_xpixel: 1276
ws_ypixel: 953
uname:
sysname: Linux
nodename: d3
release: 4.19.0-1-amd64
version: #1 SMP Debian 4.19.13-1 (2018-12-30)
machine: x86_64
domainname: (none)
ll@d3:~$ inxi
CPU: Quad Core Intel Xeon X3350 (-MCP-) speed/min/max: 2000/1998/2664 MHz Kernel: 4.19.0-1-amd64 x86_64 Up: 1h 40m
Mem: 536.3/1952.1 MiB (27.5%) Storage: 875.65 GiB (1.3% used) Procs: 119 Shell: bash 4.4.23 inxi: 3.0.30
ll@d3:~$ neofetch
_,met$$$$$gg. ll@d3
,g$$$$$$$$$$$$$$$P. -----
,g$$P" """Y$$.". OS: Debian GNU/Linux buster/sid x86_64
,$$P' `$$$. Host: pro100489 Order Number %s
',$$P ,ggs. `$$b: Kernel: 4.19.0-1-amd64
`d$$' ,$P"' . $$$ Uptime: 1 hour, 40 mins
$$P d$' , $$P Packages: 987 (dpkg)
$$: $$. - ,d$$' Shell: bash 4.4.23
$$; Y$b._ _,d$P' Resolution: 1280x1024
Y$$. `.`"Y$$$$P"' WM: Blackbox
`$$b "-.__ Terminal: xterm
`Y$$ CPU: Intel Xeon X3350 (4) @ 2.664GHz
`Y$$. GPU: Intel 4 Series Chipset
`$$b. Memory: 517MiB / 1952MiB
`Y$$b.
`"Y$b._

~$ apt policy
Package files:
100 /var/lib/dpkg/status
release a=now
500 http://ftp.us.debian.org/debian sid/non-free amd64 Packages
release o=Debian,a=unstable,n=sid,l=Debian,c=non-free,b=amd64
origin ftp.us.debian.org
500 http://ftp.us.debian.org/debian sid/main amd64 Packages
release o=Debian,a=unstable,n=sid,l=Debian,c=main,b=amd64
origin ftp.us.debian.org
Pinned packages:
ll@d3:~$
Last edited by llivv on 2019-01-12 12:10, edited 1 time in total.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5851
Joined: 2007-02-14 18:10
Location: cold storage

Re: Unable to correct problems, you have held broken package

Postby Head_on_a_Stick » 2019-01-12 12:09

@llivv, I love your posts but I have difficulty understanding them :)

Please post the output of
Code: Select all
loginctl show-session
loginctl session-status

The Xorg log would probably be quite useful as well.

If you're not running systemd as PID1 then please explain how.
"French riots get results! U lot are instagram zzzombies" — graffiti over Euston underpass
User avatar
Head_on_a_Stick
 
Posts: 8590
Joined: 2014-06-01 17:46
Location: /dev/chair

Re: Unable to correct problems, you have held broken package

Postby llivv » 2019-01-12 12:30

I edited my last above showing
sysv / libsystemd0

here is the log form this running session
https://paste.debian.net/1059928/
32 modules, when I started yesterday morning
loop was in the modules file
i915 loaded manually using modprobe and than listed in modules-load.d
Code: Select all
loop                   32768  0
evdev                  28672  0
i915                 1728512  1
video                  45056  1 i915
drm_kms_helper        204800  1 i915
drm                   483328  3 drm_kms_helper,i915
i2c_algo_bit           16384  1 i915
parport_pc             32768  0
ppdev                  20480  0
lp                     20480  0
parport                57344  3 parport_pc,lp,ppdev
xfs                  1458176  1
libcrc32c              16384  1 xfs
crc32c_generic         16384  1
hid_generic            16384  0
usbhid                 57344  0
hid                   139264  2 usbhid,hid_generic
sd_mod                 53248  6
ata_generic            16384  0
ata_piix               36864  3
libata                278528  2 ata_piix,ata_generic
uhci_hcd               49152  0
ehci_pci               16384  0
i2c_i801               28672  0
scsi_mod              249856  2 sd_mod,libata
ehci_hcd               94208  1 ehci_pci
realtek                20480  1
lpc_ich                28672  0
usbcore               290816  4 ehci_pci,usbhid,ehci_hcd,uhci_hcd
r8169                  90112  0
libphy                 77824  2 r8169,realtek
usb_common             16384  1 usbcore

62 modules 30 loaded from modules-load.d
Code: Select all
snd_hda_codec_realtek   118784  1
snd_hda_codec_generic    86016  1 snd_hda_codec_realtek
snd_hda_intel          45056  0
snd_hda_codec         151552  3 snd_hda_codec_generic,snd_hda_intel,snd_hda_codec_realtek
snd_hda_core           94208  4 snd_hda_codec_generic,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek
snd_hwdep              16384  1 snd_hda_codec
snd_pcm               114688  3 snd_hda_intel,snd_hda_codec,snd_hda_core
snd_timer              36864  1 snd_pcm
snd                    94208  7 snd_hda_codec_generic,snd_hwdep,snd_hda_intel,snd_hda_codec,snd_hda_codec_realtek,snd_timer,snd_pcm
soundcore              16384  1 snd
pcspkr                 16384  0
parport_pc             32768  0
ppdev                  20480  0
lp                     20480  0
parport                57344  3 parport_pc,lp,ppdev
sg                     36864  0
dm_mod                151552  0
loop                   32768  0
pcc_cpufreq            16384  0
acpi_cpufreq           24576  1
serio_raw              16384  0
rng_core               16384  0
coretemp               16384  0
button                 16384  0
evdev                  28672  0
i915                 1728512  1
video                  45056  1 i915
drm_kms_helper        204800  1 i915
drm                   483328  3 drm_kms_helper,i915
i2c_algo_bit           16384  1 i915
iTCO_wdt               16384  0
iTCO_vendor_support    16384  1 iTCO_wdt
kvm_intel             241664  0
kvm                   729088  1 kvm_intel
irqbypass              16384  1 kvm
fscrypto               32768  0
crypto_simd            16384  0
cryptd                 28672  1 crypto_simd
glue_helper            16384  0
aes_x86_64             20480  0
ecb                    16384  0
xfs                  1458176  1
libcrc32c              16384  1 xfs
crc32c_generic         16384  1
hid_generic            16384  0
usbhid                 57344  0
hid                   139264  2 usbhid,hid_generic
sd_mod                 53248  6
ata_generic            16384  0
ata_piix               36864  3
libata                278528  2 ata_piix,ata_generic
scsi_mod              249856  3 sd_mod,libata,sg
i2c_i801               28672  0
realtek                20480  1
lpc_ich                28672  0
ehci_pci               16384  0
uhci_hcd               49152  0
ehci_hcd               94208  1 ehci_pci
usbcore               290816  4 ehci_pci,usbhid,ehci_hcd,uhci_hcd
r8169                  90112  0
libphy                 77824  2 r8169,realtek
usb_common             16384  1 usbcore
Last edited by llivv on 2019-01-12 12:35, edited 1 time in total.
In memory of Ian Ashley Murdock (1973 - 2015) founder of the Debian project.
User avatar
llivv
 
Posts: 5851
Joined: 2007-02-14 18:10
Location: cold storage

Next

Return to System configuration

Who is online

Users browsing this forum: No registered users and 6 guests

fashionable